aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAstroFloyd <AstroFloyd@gmail.com>2020-05-05 10:29:03 +0200
committerAstroFloyd <AstroFloyd@gmail.com>2020-05-05 10:29:03 +0200
commitc0bfc701da8cabcf1a45ef2e0e0ef6db899f08ec (patch)
treed06c98b5835adbdacfc6ccd40edd6295402013df
parentapp-backup/rdiff-backup: copy rdiff-backup-1.3.3-r3.ebuild from portage (diff)
downloadAstroFloyd-c0bfc701da8cabcf1a45ef2e0e0ef6db899f08ec.tar.gz
AstroFloyd-c0bfc701da8cabcf1a45ef2e0e0ef6db899f08ec.tar.bz2
AstroFloyd-c0bfc701da8cabcf1a45ef2e0e0ef6db899f08ec.zip
dev-python/pylibacl: copy from portare and readd Python-2 support.
Package-Manager: Portage-2.3.89, Repoman-2.3.20 Signed-off-by: AstroFloyd <AstroFloyd@gmail.com>
-rw-r--r--dev-python/pylibacl/ChangeLog5
-rw-r--r--dev-python/pylibacl/Manifest4
-rw-r--r--dev-python/pylibacl/metadata.xml15
-rw-r--r--dev-python/pylibacl/pylibacl-0.5.3-r1.ebuild35
4 files changed, 59 insertions, 0 deletions
diff --git a/dev-python/pylibacl/ChangeLog b/dev-python/pylibacl/ChangeLog
new file mode 100644
index 0000000..3400300
--- /dev/null
+++ b/dev-python/pylibacl/ChangeLog
@@ -0,0 +1,5 @@
+*pylibacl-0.5.3-r1 (05 May 2020)
+
+ 05 May 2020; AstroFloyd <AstroFloyd@gmail.com> +metadata.xml,
+ +pylibacl-0.5.3-r1.ebuild:
+ dev-python/pylibacl: copy from portare and readd Python-2 support.
diff --git a/dev-python/pylibacl/Manifest b/dev-python/pylibacl/Manifest
new file mode 100644
index 0000000..307bc37
--- /dev/null
+++ b/dev-python/pylibacl/Manifest
@@ -0,0 +1,4 @@
+DIST pylibacl-v0.5.3.tar.gz 32792 BLAKE2B 005785dda2b7933ff71dd1296b1d4315a6492fc893aba56136c775f78b9aa3bd8f9d4898bbe0160fac53a306329977ddaecd073739531ba42dd0b6cc622b9eef SHA512 ea648acc3df9e1cf2fd68576b0b691a353b257d00b74fc80aa7f60089b9dbc912452ebe6b84da2930cac888b9047740530dd0e38b4d5be52c37fc6d3a29a7ce2
+EBUILD pylibacl-0.5.3-r1.ebuild 943 BLAKE2B df495097f865248cd2215957c13c79ba9ad21cfcb045e6e13c9351e43c3e9db4ce4ae24484205268bbe1554aa89ac84bfb9bc0491eac9cf22d835f27bd1d1da1 SHA512 0474aa035cfea4c9d3f6e5735552caee075cbd2a7b6536c5a5dac3c1747afaa31f6a7234a06c0e12838f44a82b1225c98339c4975486a12517c08e141a56c2d0
+MISC ChangeLog 196 BLAKE2B 494c829f26cc10363d17acd3a6eebdf316c76b9cafca4a3530833138600f5afba56a9bc509464e81ae07dfe45aecb9f5391fbe948e86147949b0aa3aeefdd72a SHA512 feff28f0f1683f32e471774e442620ec50f41b0d6f203521a0d53e8be357f8e2bedeabb03977720adbc04943dd9d4bfad5646dd8e79c07531b590ca17c42f593
+MISC metadata.xml 445 BLAKE2B 01fa6d3dbb4f640a84c7cde4fc2c0c2691345fde557c7d26af9b5aaf5f64ee281a9c50eb273471ef3ec1a4c7cdfd8b48bccfdf3e50804f88981353a7a5433ce8 SHA512 b5fd28a88149cc0afb3535daa5c5e8f67f137e98c0671595a381d9d748212ed93a3226339b4999c7cfce1779fa6fa0cf568f38610ef77fed685e62dff9f9a344
diff --git a/dev-python/pylibacl/metadata.xml b/dev-python/pylibacl/metadata.xml
new file mode 100644
index 0000000..2050e0e
--- /dev/null
+++ b/dev-python/pylibacl/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>robbat2@gentoo.org</email>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">pylibacl</remote-id>
+ <remote-id type="github">iustin/pylibacl</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/pylibacl/pylibacl-0.5.3-r1.ebuild b/dev-python/pylibacl/pylibacl-0.5.3-r1.ebuild
new file mode 100644
index 0000000..c696cf9
--- /dev/null
+++ b/dev-python/pylibacl/pylibacl-0.5.3-r1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="POSIX ACLs (Access Control Lists) for Python"
+HOMEPAGE="https://pylibacl.k1024.org/
+ https://pypi.org/project/pylibacl/"
+SRC_URI="https://github.com/iustin/${PN}/archive/${PN}-v${PV}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+
+RDEPEND="sys-apps/acl"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+S="${WORKDIR}/${PN}-${PN}-v${PV}"
+
+python_test() {
+ if ! "${EPYTHON}" test/test_acls.py -v; then
+ eerror
+ eerror "If you got the following errors:"
+ eerror "\"IOError: [Errno 95] Operation not supported\","
+ eerror "then you should remount the filesystem containing"
+ eerror "build directory with \"acl\" option enabled."
+ eerror
+ die "Tests fail with ${EPYTHON}"
+ fi
+}